Server PHP update (to version 5.4) now Strict standards error

21.03.2014 16:56
#1
samosa
Joomshopping forum user no avatar
Name: cv c
21.03.2014
Posts: 8
Quote
Server PHP update (to version 5.4) now Strict standards error

Hello,

I love joomshopping but for some reason after a php update from the server joomshopping is not working anymore.

The problem only occurs when opening Joomshopping. After deleting joomshopping and reinstalling it it works again but then I have to insert every product from scratch again. Updating joomshopping did not work.

There is a long page with these errors:

Strict Standards: Non-static method SEFConfig::getConfig() should not be called statically, assuming $this from incompatible context in /home/ontwerpopmaat.com/public_html/Samosa/plugins/system/joomsef/joomsef.php on line 204

Strict Standards: Non-static method JoomSEF::enabled() should not be called statically, assuming $this from incompatible context in /home/ontwerpopmaat.com/public_html/Samosa/plugins/system/joomsef/joomsef.php on line 151

Strict Standards: Non-static method JoomSEF::get() should not be called statically, assuming $this from incompatible context in /home/ontwerpopmaat.com/public_html/Samosa/components/com_sef/joomsef.php on line 2635

Strict Standards: Non-static method SEFConfig::getConfig() should not be called statically, assuming $this from incompatible context in /home/ontwerpopmaat.com/public_html/Samosa/plugins/system/joomsef/joomsef.php on line 384

I've tried all the options given on this site so far but I think that i'm doing something wrong.

What should I do to fix the problem?


Joomla: Joomla! 2.5.8 Stable [ Ember ] 8-November-2012 14:00 GMT
JoomShopping: Version 3.2.7
PHP: 5.4.25-1~dotdeb.1
Website Url: www.ontwerpopmaat.com

Letzte Änderung: 21.03.2014 17:58
 
21.03.2014 19:07
#2
webdesigner
(Support Team)
User webdesigner
Name: Admin
05.08.2010
Posts: 16504
Quote
Aw: Server PHP update (to version 5.4) now Strict standards error

update joomshopping
or

change files
jshopping.php
router.php

delete row
error_reporting(E_ALL & ~E_NOTICE);

 
22.03.2014 19:04
#3
samosa
Joomshopping forum user no avatar
Name: cv c
21.03.2014
Posts: 8
Quote
Aw: Server PHP update (to version 5.4) now Strict standards error

Hello!

For some reason that does not work. Is it possible to make a backup of the shop items and replace them later?

For some reason completely removing Joomshopping and installing the new version does work.

Is it possible to hire you to fix the problem? I'm not capable enough i think.


Letzte Änderung: 22.03.2014 19:05
 
22.03.2014 21:18
#4
webdesigner
(Support Team)
User webdesigner
Name: Admin
05.08.2010
Posts: 16504
Quote
Aw: Server PHP update (to version 5.4) now Strict standards error

Yes. http://www.webdesigner-profi.de/kontaktformular.html

 
25.03.2014 21:11
#5
samosa
Joomshopping forum user no avatar
Name: cv c
21.03.2014
Posts: 8
Quote
Aw: Server PHP update (to version 5.4) now Strict standards error

Hello "webdesigner"

You've got mail with more information about hiring you.

On the contact page of your site I could not find the "send" button.

Maybe I'm a idiot but also my girlfriend could not find it.

I'm using firefox so maybe that could cause something.

 
25.03.2014 21:30
#6
webdesigner
(Support Team)
User webdesigner
Name: Admin
05.08.2010
Posts: 16504
Quote
Aw: Server PHP update (to version 5.4) now Strict standards error

Button: Abschicken

 
26.03.2014 20:35
#7
samosa
Joomshopping forum user no avatar
Name: cv c
21.03.2014
Posts: 8
Quote
Aw: Server PHP update (to version 5.4) now Strict standards error

Hello!

Yesterday the abschicken button was not there, maybe a loading error or something.

I've sent you the details trough the contactform!

I'll call you guys tomorrow to check up on the problem. Thanks for the help so far.


Letzte Änderung: 26.03.2014 22:09
 
27.03.2014 08:27
#8
webdesigner
(Support Team)
User webdesigner
Name: Admin
05.08.2010
Posts: 16504
Quote
Aw: Server PHP update (to version 5.4) now Strict standards error

Buy "Install shop"
http://www.webdesigner-profi.de/joomla-webdesign/shop/support/install-shop.html

 
27.03.2014 09:33
#9
samosa
Joomshopping forum user no avatar
Name: cv c
21.03.2014
Posts: 8
Quote
Aw: Server PHP update (to version 5.4) now Strict standards error

Hello Webdesigner!

I've bought installation and paid the amount trough paypal.

I've done so far:
changed for new version (3.16.2)

jshopping.php
router.php

After this the error changed. No more strict standards error but a blank page.

I could not find error_reporting(E_ALL & ~E_NOTICE);


Good luck!


Letzte Änderung: 27.03.2014 09:34
 
08.05.2014 10:49
#10
samosa
Joomshopping forum user no avatar
Name: cv c
21.03.2014
Posts: 8
Quote
Aw: Server PHP update (to version 5.4) now Strict standards error

Hello!

I've got a weird problem.

After a PHP update my joomshopping page gave errors. I do not have the knowhow to fix it myself so I paid the joomshopping guys 200 euros to fix the problem for me (see information above this post)

I created a new ftp password for them and made a new joomla user so they could login to the site.

Today i remembered that i did not change the login passwords back to normal and noticed that i could not enter the user menu in Joomla.

I changed the ftp password without any problem.

When I tried to go to the user manager menu in Joomla I got this error:

500 - An error has occurred.

Table 'ontwerpo.nsxa_user_notes' doesn't exist SQL=SELECT n.user_id, COUNT(n.id) As note_count FROM nsxa_user_notes AS n WHERE n.user_id IN (44,43,42,45,46,47) AND n.state >= 0 GROUP BY n.user_id




They fixed the problem fast and good but created this new problem.

I do not like the idea that I can not change my users anymore and I would like to know how to solve this problem.

thanks for the good service with my earlier problem.

Samosa.


Letzte Änderung: 08.05.2014 11:02
 
08.05.2014 13:26
#11
webdesigner
(Support Team)
User webdesigner
Name: Admin
05.08.2010
Posts: 16504
Quote
Aw: Server PHP update (to version 5.4) now Strict standards error

it's not true.

It's a different problem and it does not belong to the store.
Problem in joomla.

Need create table nsxa_user_notes (Problem in joomla update)


Letzte Änderung: 08.05.2014 13:26
 
13.05.2014 09:43
#12
samosa
Joomshopping forum user no avatar
Name: cv c
21.03.2014
Posts: 8
Quote
Aw: Server PHP update (to version 5.4) now Strict standards error

Hello!

The problem is solved and it was not the fault of the Joomshopping programmers. Just bad luck and a coincident that is happend at the same time.

Problem is solved by updating the database!

 
Copyrights MAXXmarketing GmbH. All Rights Reserved